import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/Observable';
import { RPCService } from '@loafer/ng-rpc';
import { MetaCrawler, MetaSensorItemKey } from '@overflow/commons-typescript/model/meta';

@Injectable()
export class MetaSensorItemKeyService {

  public constructor(
    private rpcService: RPCService,
  ) {

  }

  public readAllByCrawler(metaCrawler: MetaCrawler): Observable<MetaSensorItemKey[]> {
    return this.rpcService.call('MetaSensorItemKeyService.readAllByCrawler', metaCrawler);
  }
  public readAllMapByCrawler(metaCrawler: MetaCrawler): Observable<Map<number, MetaSensorItemKey>> {
    return this.rpcService.call('MetaSensorItemKeyService.readAllMapByCrawler', metaCrawler);
  }
}
